﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class get_filter : System.Web.UI.Page
{
	protected void Page_Init(object sender, EventArgs e)
	{
		RadGrid grid = new RadGrid();
		grid.ID = "RadGrid1";
		grid.NeedDataSource += rg1_NeedDataSource;
		grid.PageSize = 15;
		grid.AllowPaging = true;
		grid.AllowSorting = true;
		grid.AllowFilteringByColumn = true;
		grid.AutoGenerateColumns = false;
		grid.EnableLinqExpressions = true;

		GridBoundColumn boundColumn = new GridBoundColumn();
		boundColumn.DataField = "InstallationYear";
		boundColumn.HeaderText = "Installation Year";
		boundColumn.DataType = Type.GetType("System.Int32");
		grid.MasterTableView.Columns.Add(boundColumn);

		Placeholder1.Controls.Add(grid);
	}

	protected void Page_Load(object sender, EventArgs e)
	{

	}

	protected void rg1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
	{
		(sender as RadGrid).DataSource = Enumerable.Range(1990, 2020).Select(o => new { InstallationYear = o });
	}

	protected void btn1_Click(object sender, EventArgs e)
	{
		RadGrid rg1 = Placeholder1.FindControl("RadGrid1") as RadGrid;
		string commands = string.Format("special: {0}<br />simple: {1}",
					rg1.MasterTableView.GetEntitySqlFilterExpression(),
					rg1.MasterTableView.FilterExpression);
		Response.Write(commands);

		//below we will loop the columns and build our own filter string

		foreach (GridColumn col in rg1.MasterTableView.RenderColumns)//loops all columns in the grid, including structure, edit, delete and so on
		{
			if (col is GridBoundColumn)//check for bound columns
			{
				GridBoundColumn currCol = col as GridBoundColumn;
				if (currCol.UniqueName == "theFilteredColumn" && currCol.CurrentFilterFunction == GridKnownFunction.Between)//check for the particular column and filter function we are interested in, you can expand on that condition as necessary
				{
					string[] userInput = currCol.CurrentFilterValue.Split(' ');//in case between is used, the user input is a space separated list of values
					string fromCol = string.Format("<br /> from the column expression: {0} between {1} and {2}",
												currCol.DataField, userInput[0], userInput[1]);//build our string with the information from the column
					Response.Write(fromCol);
				}
			}
		}
	}
}